{% if ente is not defined %}
  {% set ente = instance_service.getCurrentInstance() %}
{% endif %}
{% set version = version_service.getVersion() %}
{% set main = ente.getMetaAsArray('main') %}
{% set info = ente.getMetaAsArray('info') %}
{% set tenant_type = ente.getMetaAsArray('tenant_type') %}
{% set contacts = ente.getMetaAsArray('contacts') %}
{% set has_social = ente.hasSocial() %}
{% set utils = ente.getMetaAsArray('utils') %}
{% set logo = ente.getMetaAsArray('logo') %}
{% set builtInServices = ente.getMetaAsArray('builtin_services') %}
{% set credits = ente.getMetaAsArray('credits') %}
{% set legals = ente.getMetaAsArray('legals') %}
{% set customName = ente.getMetaAsArray('name') %}
{% set enteName = customName != '' ? customName :  ente.name %}
{% set onlyLogo = ente.getMetaAsArray('enable_only_logo') %}
{% set servizi = ente.getMainNavItem('nav.servizi' | trans) %}
{% set amministrazione = ente.getMainNavItem('nav.amministrazione'| trans) %}
{% set novita = ente.getMainNavItem('nav.novita' | trans) %}
{% set comune = ente.getMainNavItem('nav.vivere_il_comune' | trans) %}
{% set subtitleLogo = ente.getMetaAsArray('subtitle_logo') %}

<footer class="it-footer">
  <div class="it-footer-main">
    <div class="container">
      <div class="row">
        <div class="col-12 d-flex align-items-start flex-column flex-sm-row py-3">
          <div class="it-brand-wrapper d-inline-block align-middle mr-5">
            <img class="w-auto icon-50"
                 src="{{ asset('bundles/app/images/logo/eu-'~app.request.locale~'.svg') }}"
                 alt="{{ 'eu_logo'|trans }}"
            />
          </div>
          <div class="it-brand-wrapper d-inline-block align-middle">
            <a href="{{ ente.siteUrl }}">
              {% if logo|default %}
                <img class="icon w-auto" src="{{ logo }}" alt="{{ enteName }}"/>
              {% else %}
                <img class="icon" src="{{ asset('bundles/app/images/logo-default.png') }}" alt="{{ enteName }}"/>
              {% endif %}
              <div class="it-brand-text">
                <h2 {% if onlyLogo is defined and onlyLogo == true %}class="sr-only"{% endif %}>{{ enteName }}</h2>
                {% if onlyLogo is defined and onlyLogo != true %}<span class="it-brand-subtitle">{{ subtitleLogo }}</span>{% endif %}
              </div>
            </a>
          </div>
        </div>
      </div>

      {% if tenant_type == 'comune' %}
        <div class="row">
          {% if amministrazione is defined %}
            <div class="col-12 col-md-3 footer-items-wrapper">
              {% if amministrazione.text is defined %}
                <h3 class="footer-heading-title">
                  {{ amministrazione.text }}
                </h3>
              {% endif %}
              {% if amministrazione.children is defined %}
                <ul class="footer-list p-0">
                  {% for subitem in amministrazione.children %}
                    {% if subitem.url is defined and subitem.text is defined %}
                      <li>
                        <a href="{{ subitem.url }}"
                           title="{{ 'go_to_page' | trans }}: {{ subitem.text }}">{{ subitem.text }}</a>
                      </li>
                    {% endif %}
                  {% endfor %}
                </ul>
              {% endif %}
            </div>
          {% endif %}
          {% if servizi is defined %}
            <div class="col-12 col-md-6 footer-items-wrapper">
              {% if servizi is defined and servizi.text is defined %}
                <h3 class="footer-heading-title">
                  {{ servizi.text }}
                </h3>
              {% endif %}
              {% if servizi.children is defined %}
                <div class="row">
                  <div class="col-md-6">
                    <ul class="footer-list p-0">
                      {% for key,subitem in servizi.children %}
                        {% if subitem.url is defined and subitem.text is defined and key <= 6 %}
                          <li>
                            <a href="{{ subitem.url }}"
                               title="{{ 'go_to_page' | trans }}: {{ subitem.text }}">{{ subitem.text }}</a>
                          </li>
                        {% endif %}
                      {% endfor %}
                    </ul>
                  </div>
                  <div class="col-md-6">
                    <ul class="footer-list p-0">
                      {% for key,subitem in servizi.children %}
                        {% if subitem.url is defined and subitem.text is defined and key > 6 %}
                          <li>
                            <a href="{{ subitem.url }}"
                               title="{{ 'go_to_page' | trans }}: {{ subitem.text }}">{{ subitem.text }}</a>
                          </li>
                        {% endif %}
                      {% endfor %}
                    </ul>
                  </div>
                </div>
              {% endif %}
            </div>
          {% endif %}
          <div class="col-12 col-md-3 footer-items-wrapper">
            <div>
              {% if novita is defined and novita.text is defined %}
                <h3 class="footer-heading-title">
                  {{ novita.text }}
                </h3>
              {% endif %}
              {% if novita.children is defined %}
                <ul class="footer-list p-0">
                  {% for subitem in novita.children %}
                    {% if subitem.url is defined and subitem.text is defined %}
                      <li>
                        <a href="{{ subitem.url }}"
                           title="{{ 'go_to_page' | trans }}: {{ subitem.text }}">{{ subitem.text }}</a>
                      </li>
                    {% endif %}
                  {% endfor %}
                </ul>
              {% endif %}
            </div>

            {% if comune is defined %}
              <div class="footer-items-wrapper">
                {% if comune is defined and comune.text is defined %}
                  <h3 class="footer-heading-title mt-5">
                    {{ comune.text }}
                  </h3>
                {% endif %}
                {% if comune.children is defined %}
                  <ul class="footer-list p-0">
                    {% for subitem in comune.children %}
                      {% if subitem.url is defined and subitem.text is defined %}
                        <li>
                          <a href="{{ subitem.url }}"
                             title="{{ 'go_to_page' | trans }}: {{ subitem.text }}">{{ subitem.text }}</a>
                        </li>
                      {% endif %}
                    {% endfor %}
                  </ul>
                {% endif %}
              </div>
            {% endif %}
          </div>
        </div>
      {% else %}
        <div class="row">
          {% if main %}
            {% for item in main %}
              {% if item.url is defined and item.text is defined %}
                {% if loop.index == 1 %}
                  <div class="col-12 col-md-3 footer-items-wrapper">
                    {% if item.children is defined and item.children | length %}
                      <h3 class="footer-heading-title">
                        {{ item.text }}
                      </h3>
                    {% endif %}
                    {% if item.children is defined %}
                      <ul class="footer-list p-0">
                        {% for subitem in item.children %}
                          {% if subitem.url is defined and subitem.text is defined %}
                            <li>
                              <a href="{{ subitem.url }}"
                                 title="{{ 'go_to_page' | trans }}: {{ subitem.text }}">{{ subitem.text }}</a>
                            </li>
                          {% endif %}
                        {% endfor %}
                      </ul>
                    {% endif %}
                  </div>
                {% elseif loop.index == 2 %}
                  <div class="col-12 col-md-6 footer-items-wrapper">
                    {% if item.children is defined and item.children | length %}
                      <h3 class="footer-heading-title">
                        {{ item.text }}
                      </h3>
                    {% endif %}
                    {% if item.children is defined %}
                      <div class="row">
                        <div class="col-md-6">
                          <ul class="footer-list p-0">
                            {% for key,subitem in item.children %}
                              {% if subitem.url is defined and subitem.text is defined and key <= 6 %}
                                <li>
                                  <a href="{{ subitem.url }}"
                                     title="{{ 'go_to_page' | trans }}: {{ subitem.text }}">{{ subitem.text }}</a>
                                </li>
                              {% endif %}
                            {% endfor %}
                          </ul>
                        </div>
                        <div class="col-md-6">
                          <ul class="footer-list p-0">
                            {% for key,subitem in item.children %}
                              {% if subitem.url is defined and subitem.text is defined and key > 6 %}
                                <li>
                                  <a href="{{ subitem.url }}"
                                     title="{{ 'go_to_page' | trans }}: {{ subitem.text }}">{{ subitem.text }}</a>
                                </li>
                              {% endif %}
                            {% endfor %}
                          </ul>
                        </div>
                      </div>
                    {% endif %}
                  </div>
                {% elseif loop.index >= 3 and  loop.index <= 4 %}
                  {% if  loop.index == 3 %}
                    <div class="col-12 col-md-3 footer-items-wrapper">
                  {% endif %}
                  <div>
                  {% if item.children is defined and item.children | length %}
                    <h3 class="footer-heading-title  {% if  loop.index == 4 %}mt-5 {% endif %}">
                      {{ item.text }}
                    </h3>
                  {% endif %}
                  {% if item.children is defined %}

                    <ul class="footer-list p-0">
                      {% for subitem in item.children %}
                        {% if subitem.url is defined and subitem.text is defined %}
                          <li>
                            <a href="{{ subitem.url }}"
                               title="{{ 'go_to_page' | trans }}: {{ subitem.text }}">{{ subitem.text }}</a>
                          </li>
                        {% endif %}
                      {% endfor %}
                    </ul>
                  {% endif %}
                  {% if  loop.index == 4 %}
                  </div>
                {% endif %}
                  </div>
                {% elseif loop.index > 4 %}
                  <div class="col-12 col-md-3 footer-items-wrapper">
                    {% if item.children is defined and item.children | length %}
                      <h3 class="footer-heading-title">
                        {{ item.text }}
                      </h3>
                    {% endif %}
                    {% if item.children is defined %}
                      <ul class="footer-list p-0">
                        {% for subitem in item.children %}
                          {% if subitem.url is defined and subitem.text is defined %}
                            <li>
                              <a href="{{ subitem.url }}"
                                 title="{{ 'go_to_page' | trans }}: {{ subitem.text }}">{{ subitem.text }}</a>
                            </li>
                          {% endif %}
                        {% endfor %}
                      </ul>
                    {% endif %}
                  </div>
                {% endif %}
              {% endif %}
            {% endfor %}
          {% endif %}
        </div>

      {% endif %}
      <div class="row">
        {% set calcCol = has_social ? '9': '12' %}
        <div class="col-md-{{ calcCol }} mt-md-4 footer-items-wrapper">
          <h3 class="footer-heading-title">{{ 'steps.common.org_richiedente.contatti' | trans }}</h3>
          <div class="row">
            <div class="col-md-4">
              <p class="footer-info">
                {% if contacts.address is defined and contacts.address|default %}
                  <svg class="icon icon-sm icon-white" aria-label="Address">
                    <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-pa"></use>
                  </svg>
                  <a class="list-item "
                     href="https://maps.google.com/maps?q={{ contacts.address }}">
                    {{ contacts.address }}<br>
                  </a>
                {% endif %}
                {% if contacts.phone|default %}
                  <svg class="icon icon-sm icon-white"
                       aria-label=" {{ 'steps.common.dati_richiedente.richiedente_telefono' | trans }}">
                    <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-telephone"></use>
                  </svg>
                  <a class="list-item "
                     href="tel:{{ contacts.phone }}">
                    {{ contacts.phone }}
                  </a><br>
                {% endif %}
                {% if contacts.toll_free_number|default %}
                  <svg class="icon icon-sm icon-white" aria-label="Phone">
                    <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-telephone"></use>
                  </svg>
                  <a class="list-item "
                     href="tel:{{ contacts.phone }}">
                    {{ contacts.toll_free_number }}
                  </a><br>
                {% endif %}
                {% if contacts.fax|default %}
                  <svg class="icon icon-sm icon-white" aria-label="Fax">
                    <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-file"></use>
                  </svg>
                  <a class="list-item " href="tel:{{ contacts.fax }}">
                    {{ contacts.fax }}
                  </a><br>
                {% endif %}
                {% if contacts.email|default %}
                  <svg class="icon icon-sm icon-white" aria-label="mail">
                    <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-mail"></use>
                  </svg>
                  <a class="list-item " href="mailto: {{ contacts.email }}">
                    {{ contacts.email }}
                  </a><br>
                {% endif %}
                {% if contacts.legal_email|default %}
                  <svg class="icon icon-sm icon-warning" aria-label="PEC">
                    <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-mail"></use>
                  </svg>
                  <a class="list-item " href="mailto: {{ contacts.legal_email }}">
                    {{ contacts.legal_email }}
                  </a><br>
                {% endif %}
                {% if(contacts.cf|default) %}
                <svg class="icon icon-sm icon-white" aria-label="{{ 'user.profile.codice_fiscale' | trans }}">
                  <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-card"></use>
                </svg>
                {{ contacts.cf }}
                {% endif %}<br>
                {% if (contacts.piva|default) %}
                  <svg class="icon icon-sm icon-white" aria-label="{{ 'steps.common.org_richiedente.piva' | trans }}">
                    <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-card"></use>
                  </svg>
                  {{ contacts.piva }}
                {% endif %} <br>

                {% if (contacts.sdi_code|default) %}
                  <svg class="icon icon-sm icon-white" aria-label="{{ 'steps.common.org_richiedente.piva' | trans }}">
                    <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-card"></use>
                  </svg>
                  {{ contacts.sdi_code }}
                {% endif %} <br>
              </p>
            </div>
            <div class="col-md-4">
              <ul class="footer-list p-0 mb-0">
                {% if builtInServices.faq|default %}
                  <li>
                    <a href="{{ builtInServices.faq }}" data-element="faq">{{ 'read_faq' | trans }}</a>
                  </li>
                {% endif %}
                <li>
                  {% if builtInServices.appointment_booking|default %}
                    <a href="{{ builtInServices.appointment_booking }}"
                       data-element="appointment-booking">{{ 'booking_appointment' | trans }}</a>
                  {% endif %}
                </li>
                <li>
                  {% if builtInServices.report_inefficiency|default %}
                    <a href="{{ builtInServices.report_inefficiency }}"
                       data-element="report-inefficiency">{{ 'report_inefficiency' | trans }}</a>
                  {% endif %}
                </li>
                <li>
                  {% if builtInServices.support|default %}
                    <a href="{{ builtInServices.support }}">{{ 'request_assistance' | trans }}</a>
                  {% endif %}
                </li>
              </ul>
            </div>
            <div class="col-md-4">
              <ul class="footer-list p-0">
                {% if legals.transparent_administration is defined %}
                  <li>
                    <a href="{{ legals.transparent_administration }}">{{ 'transparent_administration' | trans }}</a>
                  </li>
                {% endif %}
                <li>
                  {% if legals.privacy_info|default %}
                    <a href="{{ legals.privacy_info }}"
                       data-element="privacy-policy-link">{{ 'privacy_info' | trans }}</a>
                  {% endif %}
                </li>
                <li>
                  {% if legals.legal_notes|default %}
                    <a href="{{ legals.legal_notes }}">{{ 'legal_notes' | trans }}</a>
                  {% endif %}
                </li>
                <li>
                  {% if legals.accessibility|default %}
                    <a href="{{ legals.accessibility }}"
                       data-element="accessibility-link">{{ 'accessibility' | trans }}</a>
                  {% endif %}
                </li>
                <li>
                  {% if performance_improvement_plan_link|default %}
                    <a href="{{ performance_improvement_plan_link }}"
                       data-element="accessibility-link">{{ 'performance_improvement_plan_link' | trans }}</a>
                  {% endif %}
                </li>
              </ul>
            </div>
          </div>
        </div>

        {% if has_social %}
          {% set social = ente.getMetaAsArray('social') %}
          <div class="col-md-3 mt-md-4 footer-items-wrapper">
            <h3 class="footer-heading-title"><span>{{ 'general.follow_social' | trans }}</span></h3>
            <ul class="list-inline text-start social d-flex">
              {% for key,value in social %}
                {% if not value is empty %}
                  <li class="list-inline-item mb-3">
                    <a class="p-1 text-white" href="{{ value }}"
                       aria-label="{{ key }}" target="_blank">
                      {% if key == 'twitter' %}
                        <svg class="icon icon-sm icon-white align-top">
                          <use xlink:href="{{ asset('bundles/app/images/sprites.svg') }}#it-twitter"></use>
                        </svg>
                      {% else %}
                        <svg class="icon icon-sm icon-white align-top">
                          <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-{{ key }}"></use>
                        </svg>
                      {% endif %}
                      <span class="sr-only">{{ key }}</span></a>
                  </li>
                {% endif %}

              {% endfor %}
            </ul>
          </div>
        {% endif %}
      </div>

      <div class="row">
        <div class="col-12 footer-items-wrapper">
          <div class="footer-bottom">
            <span class="sr-only sr-only-focusable">{{ 'help_link' | trans }}</span>

            {% if utils %}
              {% for item in utils %}
                {% if item.url %}
                  <a href="{{ item.url }}" title="{{ 'link_to' | trans }} {{ item.text }}">{{ item.text }}</a>
                {% endif %}
              {% endfor %}
            {% endif %}

            <a href="{{ path('app.swagger_ui') }}">Api</a>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="container text-secondary x-small mt-1 mb-1">
    <div class="row">
      <div class="col-12 text-right">
        {% if credits is defined and credits|length %}
          <span class="text-paragraph-inline">{{ credits | raw }}</span>
        {% else %}
          © {{ 'now' | date('Y') }} {{ enteName }} {{ 'digital_services' | trans }}
          <a target="_blank" href="https://opencityitalia.it/" title="OpenCity Italia">OpenCity Italia</a>
        {% endif %}
        <svg id="product-version" data-toggle="tooltip" data-html="false" class="icon icon-xs" title="{{ version }}"
             data-original-title="{{ version }}">
          <use href="/bootstrap-italia/dist/svg/sprite.svg#it-info-circle"></use>
        </svg>
        ·
        {% if user.roles is defined %}
          <a href="{{ path('security_logout') }}" class="">{{ 'nav.header.logout' | trans }}</a>
        {% else %}
          <a href="{{ path('operatori_index') }}"
             class="">{{ 'nav.operatori.accesso_operatori'|trans() }}</a>
        {% endif %}
      </div>
    </div>
  </div>
</footer>
